OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Texturing.Parameters

Description

This module corresponds to section 3.8.4 (Texture Parameters), section 3.8.7 (Texture Wrap Mode), section 3.8.8 (Texture Minification), and section 3.8.9 (Texture Magnification) of the OpenGL 2.1 specs.

Synopsis

- data TextureFilter
  - = Nearest
  - | Linear'
- type MinificationFilter = (TextureFilter, Maybe TextureFilter)
- type MagnificationFilter = TextureFilter
- textureFilter :: ParameterizedTextureTarget t => t -> StateVar (MinificationFilter, MagnificationFilter)
- data Repetition
  - = Repeated
  - | Mirrored
- data Clamping
  - = Clamp
  - | Repeat
  - | ClampToEdge
  - | ClampToBorder
- textureWrapMode :: ParameterizedTextureTarget t => t -> TextureCoordName -> StateVar (Repetition, Clamping)
- textureBorderColor :: ParameterizedTextureTarget t => t -> StateVar (Color4 GLfloat)
- type LOD = GLfloat
- textureObjectLODBias :: ParameterizedTextureTarget t => t -> StateVar LOD
- maxTextureLODBias :: GettableStateVar LOD
- textureLODRange :: ParameterizedTextureTarget t => t -> StateVar (LOD, LOD)
- textureMaxAnisotropy :: ParameterizedTextureTarget t => t -> StateVar GLfloat
- maxTextureMaxAnisotropy :: GettableStateVar GLfloat
- textureLevelRange :: ParameterizedTextureTarget t => t -> StateVar (Level, Level)
- generateMipmap :: ParameterizedTextureTarget t => t -> StateVar Capability
- depthTextureMode :: ParameterizedTextureTarget t => t -> StateVar PixelInternalFormat
- textureCompareMode :: ParameterizedTextureTarget t => t -> StateVar (Maybe ComparisonFunction)
- textureCompareFailValue :: ParameterizedTextureTarget t => t -> StateVar GLclampf
- data TextureCompareOperator
  - = LequalR
  - | GequalR
- textureCompareOperator :: ParameterizedTextureTarget t => t -> StateVar (Maybe TextureCompareOperator)

# Documentation

data TextureFilter

Constructors

Nearest |
Linear' |

Instances

Eq TextureFilter |
Ord TextureFilter |
Show TextureFilter |

type MinificationFilter = (TextureFilter, Maybe TextureFilter)

type MagnificationFilter = TextureFilter

textureFilter :: ParameterizedTextureTarget t => t -> StateVar (MinificationFilter, MagnificationFilter)

data Repetition

Constructors

Repeated |
Mirrored |

Instances

Eq Repetition |
Ord Repetition |
Show Repetition |

data Clamping

Constructors

Clamp |
Repeat |
ClampToEdge |
ClampToBorder |

Instances

Eq Clamping |
Ord Clamping |
Show Clamping |

textureWrapMode :: ParameterizedTextureTarget t => t -> TextureCoordName -> StateVar (Repetition, Clamping)

textureBorderColor :: ParameterizedTextureTarget t => t -> StateVar (Color4 GLfloat)

type LOD = GLfloat

textureObjectLODBias :: ParameterizedTextureTarget t => t -> StateVar LOD

maxTextureLODBias :: GettableStateVar LOD

textureLODRange :: ParameterizedTextureTarget t => t -> StateVar (LOD, LOD)

textureMaxAnisotropy :: ParameterizedTextureTarget t => t -> StateVar GLfloat

maxTextureMaxAnisotropy :: GettableStateVar GLfloat

textureLevelRange :: ParameterizedTextureTarget t => t -> StateVar (Level, Level)

generateMipmap :: ParameterizedTextureTarget t => t -> StateVar Capability

Note: OpenGL 3.1 deprecated this texture parameter, use `generateMipmap'` instead.

depthTextureMode :: ParameterizedTextureTarget t => t -> StateVar PixelInternalFormat

textureCompareMode :: ParameterizedTextureTarget t => t -> StateVar (Maybe ComparisonFunction)

textureCompareFailValue :: ParameterizedTextureTarget t => t -> StateVar GLclampf

data TextureCompareOperator

Constructors

LequalR |
GequalR |

Instances

Eq TextureCompareOperator |
Ord TextureCompareOperator |
Show TextureCompareOperator |

textureCompareOperator :: ParameterizedTextureTarget t => t -> StateVar (Maybe TextureCompareOperator)